Subject: Re: bug#48695: [PATCH] Fix region deletion behavior in python.el

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Jul 2025 11:18:43 +0300

Ping! Jakub, did you have an opportunity to work on the updated patch?

> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> Date: Thu, 10 Jul 2025 09:05:02 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > Date: Wed, 9 Jul 2025 21:35:50 +0200
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked],
> >  [email-masked]
> > From: Jakub Ječmínek <[email-masked]>
> > 
> > On 7/9/25 16:26, kobarity wrote:
> > > Mostly yes.  I would prefer to add the check for arg being 1 as well.
> > 
> > Thank you — adding a check for `(= arg 1)' makes sense here.
> > 
> > > In any case, it would be better to update the docstring.
> > 
> > Agreed. I’ll send a new patch that includes updated docstrings, ERTs, 
> > and a NEWS entry. However, before doing that, I’d like to hear Eli’s 
> > opinion: Is using `delete-active-region' appropriate here, or would it 
> > be better to introduce a new option specific to `python-mode'?
> 
> I think the test for ARG = 1 is enough.
> 
> 
> 
>